<?xml version="1.0" encoding="shift_jis" ?>
<!--
   Copyright (c) Project Studio In Kunitachi.
   
   MusicResource.xsl
   
   y\[XX^CV[gB
   
   2009/07/20   VK쐬   s.mashita 1.00
-->
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
  <xsl:output method="html" encoding="Shift_JIS" />
  <xsl:template match="/">
    <html>
      <head>
        <title>MusiResource</title>
        <link rel="stylesheet" type="text/css" href="introplayer.css" />
      </head>
      <h1><xsl:value-of select="books/data/NO" /></h1>
      <h1>\[Xꗗ for Intro Player</h1>
      <div style="text-align: center">
        <table border="1">
          <tr>
            <th>NO</th>
            <th>^Cg</th>
            <th>A[eBXg</th>
            <th>W</th>
            <th>[X</th>
            <th>^Cv</th>
            <th></th>
            <th>CgJn</th>
            <th>CgI</th>
            <th>TrJn</th>
            <th>TrI</th>
            <th>𓚊Jn</th>
            <th>𓚏I</th>
            <th>Փx</th>
            <th>Lx</th>
          </tr>
          <xsl:apply-templates select="root" />
        </table>
        <hr/>
        <span style="font-family: HGnpp߯ߑ; font-size: 9pt;">Copyright (c) Project Studio In Kunitachi., AllRights Reserved.</span><br />
      </div>
    </html>
  </xsl:template>
  <xsl:template match="root">
    <xsl:for-each select="data">
      <xsl:sort select="NO" data-type="number" order="ascending" />
      <tr>
        <td><xsl:value-of select="NO" /></td>
        <td>
          <xsl:choose>
            <xsl:when test="Title=''">-</xsl:when>
            <xsl:otherwise><xsl:value-of select="Title" /></xsl:otherwise>
          </xsl:choose>
        </td>
        <td>
          <xsl:choose>
            <xsl:when test="Artist=''">-</xsl:when>
            <xsl:otherwise><xsl:value-of select="Artist" /></xsl:otherwise>
          </xsl:choose>
        </td>
        <td>
          <xsl:choose>
            <xsl:when test="Genre=''">-</xsl:when>
            <xsl:otherwise><xsl:value-of select="Genre" /></xsl:otherwise>
          </xsl:choose>
        </td>
        <td><xsl:value-of select="ReleaseDate" /></td>
        <td>
          <xsl:choose>
            <xsl:when test="FileType='0'">MP3</xsl:when>
            <xsl:when test="FileType='1'">WMA</xsl:when>
            <xsl:when test="FileType='2'">WAV</xsl:when>
            <xsl:when test="FileType='3'">NWAV</xsl:when>
            <xsl:when test="FileType='5'">MID</xsl:when>
            <xsl:otherwise>s</xsl:otherwise>
          </xsl:choose>
        </td>
        <td><xsl:value-of select="Length" /></td>
        
        <td><xsl:value-of select="IntroStart" /></td>
        <td><xsl:value-of select="IntroEnd" /></td>
        <td><xsl:value-of select="SabiStart" /></td>
        <td><xsl:value-of select="SabiEnd" /></td>
        <td><xsl:value-of select="AnsStart" /></td>
        <td><xsl:value-of select="AnsEnd" /></td>
        <td><xsl:value-of select="Deficalt" /></td>
        <td><xsl:value-of select="Famous" /></td>
      </tr>
    </xsl:for-each>
  </xsl:template>
</xsl:stylesheet>
