<?xml version="1.0" encoding="shift_jis" ?>
<!--
   Copyright (c) Project Studio In Kunitachi.
   
   ResourceData.xsl
   
   y\[Xf[^X^CV[gB
   
   2009/07/20   VK쐬   s.mashita 1.00
-->
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
  <xsl:output method="html" encoding="Shift_JIS" />
  <xsl:template match="/">
    <html>
      <head>
        <title>\[Xꗗ for Intro Player Quiz Master</title>
        <link rel="stylesheet" type="text/css" href="introplayer.css" />
      </head>
      <h1><xsl:value-of select="books/data/NO" /></h1>
      <div style="text-align: center">
        <h1>
          <font size="8">\[Xꗗ for Intro Player Quiz Master</font>
        </h1>
        <table border="1">
          <tr>
            <th>NO.</th>
            <th>^Cg</th>
            <th>A[eBXg</th>
            <th>W</th>
            <th>[X</th>
            <th>gq</th>
            <th></th>
            <th>CgJn</th>
            <th>CgI</th>
            <th>TrJn</th>
            <th>TrI</th>
            <th>𓚊Jn</th>
            <th>𓚏I</th>
            <th>Փx</th>
            <th>Lx</th>
          </tr>
          <xsl:apply-templates select="root" />
        </table>
        <hr/>
        <span style="font-family: HGnpp߯ߑ; font-size: 9pt;">Copyright (c) Project Studio In Kunitachi., AllRights Reserved.</span><br />
      </div>
    </html>
  </xsl:template>
  <xsl:template match="root">
    <xsl:for-each select="data">
      <xsl:sort select="no" data-type="number" order="ascending" />
      <tr>
        <td><xsl:value-of select="no" /></td>
        <td>
          <xsl:choose>
            <xsl:when test="title=''">-</xsl:when>
            <xsl:otherwise><xsl:value-of select="title" /></xsl:otherwise>
          </xsl:choose>
        </td>
        <td>
          <xsl:choose>
            <xsl:when test="artist=''">-</xsl:when>
            <xsl:otherwise><xsl:value-of select="artist" /></xsl:otherwise>
          </xsl:choose>
        </td>
        <td>
          <xsl:choose>
            <xsl:when test="genre=''">-</xsl:when>
            <xsl:otherwise><xsl:value-of select="genre" /></xsl:otherwise>
          </xsl:choose>
        </td>
        <td><xsl:value-of select="releaseDate" /></td>
        <td>
          <xsl:choose>
            <xsl:when test="fileType='0'">MP3</xsl:when>
            <xsl:when test="fileType='1'">WMA</xsl:when>
            <xsl:when test="fileType='2'">WAV</xsl:when>
            <xsl:when test="fileType='3'">NWAV</xsl:when>
            <xsl:when test="fileType='5'">MID</xsl:when>
            <xsl:otherwise>s</xsl:otherwise>
          </xsl:choose>
        </td>
        <td><xsl:value-of select="length" /></td>
        
        <td><xsl:value-of select="introStart" /></td>
        <td><xsl:value-of select="introEnd" /></td>
        <td><xsl:value-of select="sabiStart" /></td>
        <td><xsl:value-of select="sabiEnd" /></td>
        <td><xsl:value-of select="ansStart" /></td>
        <td><xsl:value-of select="ansEnd" /></td>
        <td><xsl:value-of select="deficalt" /></td>
        <td><xsl:value-of select="famous" /></td>
      </tr>
    </xsl:for-each>
  </xsl:template>
</xsl:stylesheet>
