<?xml version="1.0" encoding="shift_jis" ?>
<!--
   Copyright (c) Project Studio In Kunitachi.
   
   SessionHistory.xsl
   
   ZbVpX^CV[gB
   
   2009/05/23   VK쐬   s.mashita 1.00
-->
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
  <xsl:output method="html" encoding="shift_jis" />
  <xsl:variable name="quesionNumber" select="1" />

  <!-- Main Process -->
  <xsl:template match="/">
    <html>
      <head>
        <title> for Intro Player Quiz Master</title>
        <!--<link rel="stylesheet" type="text/css" href="SessionHistory.css" />-->
      </head>
      <div style="text-align:center">
        <font size="7"> for Intro Player Quiz Master</font>
      </div>
      <br/>
      <br/>
      <font size="3">̃t@ĆA<xsl:value-of select ="substring-before(/session/startDateTime, ' ')" />Ɏ{ꂽNCY̐L^t@CłB</font>
      <br/>
      <br/>
      <hr />
      <div style="text-align:left">
        <xsl:call-template name="SessionInfo"/>
        <br/>
        <br/>
        <hr />
        <xsl:call-template name="PartInfo" />
        <br/>
        <xsl:text>ȏAɐ킢̑SĂ̋L^LB</xsl:text>
        <br/>
        <br/>
        <div style="text-align:center">
          <span style="font-family: HGnpp߯ߑ; font-size: 9pt;">Copyright (c) Project Studio In Kunitachi., AllRights Reserved.</span><br />
        </div>
      </div>
    </html>
  </xsl:template>
  
  <!-- SessionInfo Template -->
  <xsl:template name="SessionInfo">
    <font size="5"><b>EZbV</b></font>
    <table border="1">
      <!-- Tabel Header -start- -->
      <tr bgcolor="90EE90">
        <th rowspan="2" width="150">ZbV</th>
        <th rowspan="2">Jn</th>
        <th rowspan="2">I</th>
        <th rowspan="2">v</th>
        <th rowspan="2">Sp[g</th>
        <th rowspan="2">萔</th>
        <xsl:element name="th">
          <xsl:attribute name="rowspan">1</xsl:attribute>
          <xsl:attribute name="colspan"><xsl:call-template name="getEntrantNumber"/></xsl:attribute>
          <xsl:attribute name="bgcolor">B7C4E0</xsl:attribute>
          <xsl:text>Q</xsl:text>
        </xsl:element>
      </tr>
      <tr bgcolor="EFC1C4">
        <xsl:if test="/session/firstUser/@order!=0">
          <th rowspan="1" >PF<xsl:value-of select="/session/firstUser" /></th>
        </xsl:if>
        <xsl:if test="/session/secondUser/@order!=0">
          <th rowspan="1" >QF<xsl:value-of select="/session/secondUser" /></th>
        </xsl:if>
        <xsl:if test="/session/thirdUser/@order!=0">
          <th rowspan="1" >RF<xsl:value-of select="/session/thirdUser" /></th>
        </xsl:if>
        <xsl:if test="/session/fourthUser/@order!=0">
          <th rowspan="1" >SF<xsl:value-of select="/session/fourthUser" /></th>
        </xsl:if>
      </tr>
      <!-- Tabel Header -end- -->
      
      <!-- Tabel Data -satrt- -->
      <tr>
        <td><xsl:value-of select="/session/@name" /></td>
        <td><xsl:value-of select="/session/startDateTime" /></td>
        <td><xsl:value-of select="/session/endDateTime" /></td>
        <td><xsl:value-of select="/session/exhibition" /></td>
        <td><xsl:value-of select="/session/maxPart" /></td>
        <td><xsl:value-of select="/session/total" /></td>
        <xsl:if test="/session/firstUser/@order!=0">
          <td><xsl:value-of select="/session/firstUser/@order" /></td>
        </xsl:if>
        <xsl:if test="/session/secondUser/@order!=0">
          <td><xsl:value-of select="/session/secondUser/@order" /></td>
        </xsl:if>
          <xsl:if test="/session/thirdUser/@order!=0">
        <td><xsl:value-of select="/session/thirdUser/@order" /></td>
          </xsl:if>
        <xsl:if test="/session/fourthUser/@order!=0">
          <td><xsl:value-of select="/session/fourthUser/@order" /></td>
        </xsl:if>
      </tr>
      <!-- Tabel Data -end- -->
    </table>
  </xsl:template>
  
  <!-- PartInfo Template -->
  <xsl:template name="PartInfo">
    <xsl:for-each select="/session/parts/part">
      <xsl:sort select="@id" data-type="number" order="ascending" />
      <font size="4"><b>Ep[g</b></font>
      <table border="1">
        <tr bgcolor="90EE90">
          <th width="25">No.</th>
          <th width="150">p[g</th>
          <th width="50">萔</th>
          <th width="70">t͈</th>
          <th width="70">t</th>
          <th width="70">tx</th>
          <th width="70">t</th>
          <th width="50">_</th>
          <th width="50">_</th>
          <th width="70"></th>
          <th width="70"></th>
        </tr>
        <tr>
          <td><xsl:value-of select="@seq+1" /></td>
          <td><xsl:value-of select="@name" /></td>
          <td><xsl:value-of select="questNumber" /></td>
          <td>
            <xsl:choose>
              <xsl:when test="range='0'">Cg</xsl:when>
              <xsl:when test="range='1'">Tr</xsl:when>
              <xsl:when test="range='2'">_</xsl:when>
              <xsl:when test="range='3'">fB</xsl:when>
              <xsl:when test="range='4'">X^[g</xsl:when>
              <xsl:when test="range='5'">Gh</xsl:when>
              <xsl:when test="range='6'"></xsl:when>
            </xsl:choose>
          </td>
          <td>
            <xsl:choose>
              <xsl:when test="interval='0'">XX(250m)</xsl:when>
              <xsl:when test="interval='1'">X(1sec)</xsl:when>
              <xsl:when test="interval='2'">(3sec)</xsl:when>
              <xsl:when test="interval='3'">(5sec)</xsl:when>
              <xsl:when test="interval='4'">(10sec)</xsl:when>
              <xsl:when test="interval='5'">(15sec)</xsl:when>
              <xsl:when test="interval='6'">Wt</xsl:when>
              <xsl:when test="interval='7'"></xsl:when>
            </xsl:choose>
          </td>
          <td>
            <xsl:choose>
              <xsl:when test="speed='0'"></xsl:when>
              <xsl:when test="speed='1'">UP(~2)</xsl:when>
              <xsl:when test="speed='2'">HALFUP(~1.5)</xsl:when>
              <xsl:when test="speed='3'">DOWN(1/2)</xsl:when>
              <xsl:when test="speed='4'">HALFDOWN(1/4)</xsl:when>
            </xsl:choose>
          </td>
          <td><xsl:value-of select="multi" /></td>
          <td><xsl:value-of select="score" /></td>
          <td>
            <xsl:choose>
              <xsl:when test="deductionPenalty='1'">-</xsl:when>
              <xsl:otherwise><xsl:value-of select="deductionPenalty" /></xsl:otherwise>
            </xsl:choose>
          </td>
          <td>
            <xsl:choose>
              <xsl:when test="handsPenalty='0'">1p[g<xsl:value-of select="handsType" />܂</xsl:when>
              <xsl:when test="handsPenalty='1'">1⒆<xsl:value-of select="handsType" />܂</xsl:when>
              <xsl:when test="handsPenalty='2'">x<xsl:value-of select="handsType" />܂</xsl:when>
              <xsl:otherwise>-</xsl:otherwise>
            </xsl:choose>
          </td>
          <td>
            <xsl:choose>
              <xsl:when test="stealPenalty='-1'">-</xsl:when>
              <xsl:otherwise></xsl:otherwise>
            </xsl:choose>
          </td>
        </tr>
      </table>
      <br/>
      <br/>
      
      <!-- output history data -->
      <font size="3"><b>E</b></font>
      <table border="1">
        <tr bgcolor="#90EE90">
          <th rowspan="2" width="30"></th>
          <th rowspan="2" width="150">^Cg</th>
          <th rowspan="2" width="150">A[eBXg</th>
          <th rowspan="2" width="70" bgcolor="FFB74C"></th>
          <xsl:element name="th">
            <xsl:attribute name="rowspan">1</xsl:attribute>
            <xsl:attribute name="colspan"><xsl:call-template name="getEntrantNumber"/></xsl:attribute>
            <xsl:attribute name="bgcolor">B7C4E0</xsl:attribute>
            <xsl:text>_J</xsl:text>
          </xsl:element>
        </tr>
        <tr bgcolor="EFC1C4">
          <xsl:if test="/session/firstUser/@order!=0">
            <th rowspan="1" >PF<xsl:value-of select="/session/firstUser" /></th>
          </xsl:if>
          <xsl:if test="/session/secondUser/@order!=0">
            <th rowspan="1" >QF<xsl:value-of select="/session/secondUser" /></th>
          </xsl:if>
          <xsl:if test="/session/thirdUser/@order!=0">
            <th rowspan="1" >RF<xsl:value-of select="/session/thirdUser" /></th>
          </xsl:if>
          <xsl:if test="/session/fourthUser/@order!=0">
            <th rowspan="1" >SF<xsl:value-of select="/session/fourthUser" /></th>
          </xsl:if>
        </tr>
        
        <xsl:call-template name="HistoryInfo">
          <xsl:with-param name="partNumber" select="position()" />
        </xsl:call-template>
      </table>
      <br/>
      <br/>
      <hr />
    </xsl:for-each>
  </xsl:template>
  
  <!-- output history data  -->
  <xsl:template name="HistoryInfo">
    <xsl:param name="partNumber" />
    <xsl:for-each select="historys/history">
      <xsl:if test="user!=''">
        <tr>
          <td><xsl:value-of select="@quest" /></td>
          <td>
            <xsl:if test="0&lt;../../multi"><xsl:value-of select="title1" /></xsl:if>
            <xsl:if test="1&lt;../../multi"><br/><xsl:value-of select="title2" /></xsl:if>
            <xsl:if test="2&lt;../../multi"><br/><xsl:value-of select="title3" /></xsl:if>
            <xsl:if test="3&lt;../../multi"><br/><xsl:value-of select="title4" /></xsl:if>
            <xsl:if test="4&lt;../../multi"><br/><xsl:value-of select="title5" /></xsl:if>
          </td>
          <td>
            <xsl:if test="0&lt;../../multi"><xsl:value-of select="artist1" /></xsl:if>
            <xsl:if test="1&lt;../../multi"><br/><xsl:value-of select="artist2" /></xsl:if>
            <xsl:if test="2&lt;../../multi"><br/><xsl:value-of select="artist3" /></xsl:if>
            <xsl:if test="3&lt;../../multi"><br/><xsl:value-of select="artist4" /></xsl:if>
            <xsl:if test="4&lt;../../multi"><br/><xsl:value-of select="artist5" /></xsl:if>
          </td>
          <td><xsl:value-of select="user" /></td>
          <xsl:if test="/session/firstUser/@order!=0">
            <td>
              <xsl:call-template name="getScoreDiffScore">
                <xsl:with-param name="partPosition" select="$partNumber" />
                <xsl:with-param name="historyPosition" select="position()" />
                <xsl:with-param name="score" select="score[@userId='1']" />
                <xsl:with-param name="userId" select="1" />
              </xsl:call-template>
            </td>
          </xsl:if>
          <xsl:if test="/session/secondUser/@order!=0">
            <td>
              <xsl:call-template name="getScoreDiffScore">
                <xsl:with-param name="partPosition" select="$partNumber" />
                <xsl:with-param name="historyPosition" select="position()" />
                <xsl:with-param name="score" select="score[@userId='2']" />
                <xsl:with-param name="userId" select="2" />
              </xsl:call-template>
            </td>
          </xsl:if>
          <xsl:if test="/session/thirdUser/@order!=0">
            <td>
              <xsl:call-template name="getScoreDiffScore">
                <xsl:with-param name="partPosition" select="$partNumber" />
                <xsl:with-param name="historyPosition" select="position()" />
                <xsl:with-param name="score" select="score[@userId='3']" />
                <xsl:with-param name="userId" select="3" />
              </xsl:call-template>
            </td>
          </xsl:if>
          <xsl:if test="/session/fourthUser/@order!=0">
            <td>
              <xsl:call-template name="getScoreDiffScore">
                <xsl:with-param name="partPosition" select="$partNumber" />
                <xsl:with-param name="historyPosition" select="position()" />
                <xsl:with-param name="score" select="score[@userId='4']" />
                <xsl:with-param name="userId" select="4" />
              </xsl:call-template>
            </td>
          </xsl:if>
        </tr>
      </xsl:if>
    </xsl:for-each>
  </xsl:template>
  
  <!-- get entrant number -->
  <xsl:template name="getEntrantNumber">
    <xsl:choose>
      <xsl:when test="/session/fourthUser/@order!=0">
        <xsl:text>4</xsl:text>
      </xsl:when>
      <xsl:when test="/session/thirdUser/@order!=0">
        <xsl:text>3</xsl:text>
      </xsl:when>
      <xsl:when test="/session/secondUser/@order!=0">
        <xsl:text>2</xsl:text>
      </xsl:when>
      <xsl:when test="/session/firstUser/@order!=0">
        <xsl:text>1</xsl:text>
      </xsl:when>
    </xsl:choose>
  </xsl:template>
  
  <!-- get score and diffrence score -->
  <xsl:template name="getScoreDiffScore">
    <xsl:param name="partPosition" />
    <xsl:param name="historyPosition" />
    <xsl:param name="score" />
    <xsl:param name="userId" />
    
    <!-- output score -->
    <xsl:value-of select="$score" />
    
    <!-- output diffrence -->
    <xsl:choose>
      <xsl:when test="$historyPosition!=1">
        <xsl:call-template name="getDiffScore">
          <xsl:with-param name="score"    select="$score" />
          <xsl:with-param name="preScore" select="../history[$historyPosition - 1]/score[@userId=$userId]" />
        </xsl:call-template>
      </xsl:when>
      <xsl:when test="$partPosition!=1">
        <xsl:call-template name="getDiffScore">
          <xsl:with-param name="score"    select="$score" />
          <xsl:with-param name="preScore" select="../../../part[$partPosition - 1]/historys/history[last()]/score[@userId=$userId]" />
        </xsl:call-template>
      </xsl:when>
    </xsl:choose>
  </xsl:template>
  
  <!-- get diffrence score -->
  <xsl:template name="getDiffScore">
    <xsl:param name="score" />
    <xsl:param name="preScore" />
    <xsl:if test="($score - $preScore)!=0">
      (
      <xsl:choose>
        <xsl:when test="0 &lt; ($score - $preScore)">
          <font color="blue">+<xsl:value-of select="($score - $preScore)" /></font>
        </xsl:when>
        <xsl:otherwise>
          <font color="red"><xsl:value-of select="($score - $preScore)" /></font>
        </xsl:otherwise>
      </xsl:choose>
      )
    </xsl:if>
  </xsl:template>
  
</xsl:stylesheet>
