<?xml version="1.0" encoding="shift_jis" ?>
<!--
   Copyright (c) Project Studio In Kunitachi.
   
   LogMessage.xsl
   
   PSIKObZ[WX^CV[gB
   
   2008/12/06   VK쐬   s.mashita 1.00
-->
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
  <xsl:output method="html" encoding="Shift_JIS" />
  <!-- O[oϐ -->
  <!--<xsl:variable name="year"><xsl:value-of select="Table/Year"/></xsl:variable>-->
  <!-- OSTMf[^擾 -->
  <!--<xsl:variable name="stDoc" select="document('STManagerInfo.xml')" />-->
  <!-- Gg[ev[g -->
  <xsl:template match="/">
    <HTML>
      <HEAD>
        <TITLE>ObZ[Wꗗ</TITLE>
        <LINK rel="stylesheet" type="text/css" href="PsikLogMessage.css" />
      </HEAD>
      <DIV style="text-align: center">
        <H1><xsl:value-of select="doc/topic/category2" />bZ[Wꗗ</H1>
        <TABLE border="1">
          <TR>
            <TH width="100"  style="background:#B0C4DE">R[h</TH>
            <TH width="50"  style="background:#B0C4DE">MO</TH>
            <!--<TH width="50"  style="background:#B0C4DE"></TH>-->
            <TH width="500" style="background:#B0C4DE">bZ[We</TH>
            <TH width="180" style="background:#B0C4DE">t</TH>
            <TH width="500" style="background:#B0C4DE">Ή@</TH>
            <TH width="200" style="background:#B0C4DE">l</TH>
          </TR>
          <!-- C@ďo -->
          <xsl:apply-templates select="doc/log/message" />
        </TABLE>
        <HR/>
        <SPAN style="font-family: HGnpp߯ߑ; font-size: 9pt;"><xsl:value-of select="doc/cover/copyRight" /></SPAN>
        <BR />
      </DIV>
    </HTML>
  </xsl:template>
  
  <!-- C -->
  <xsl:template match="doc/log/message">
    <xsl:if test="1 &lt; number(logging)">
      <TR>
        <xsl:if test="../serch=@code">
          <xsl:attribute name="bgcolor">FFD700</xsl:attribute>
        </xsl:if>
        <TD>
          <a>
            <xsl:attribute name="name"><xsl:value-of select="@code" /></xsl:attribute>
            INR-<xsl:value-of select="@code" />
          </a>
        </TD>
        <TD>
          <xsl:call-template name="getLoggingString">
            <xsl:with-param name="num"><xsl:value-of select="logging" /></xsl:with-param>
          </xsl:call-template>
        </TD>
        <!--
        <TD><xsl:value-of select="action" /></TD>
        -->
        <TD>
          <xsl:call-template name="replaceCRLFtoBR">
            <xsl:with-param name="str"><xsl:value-of select="contents" /></xsl:with-param>
          </xsl:call-template>
        </TD>
        <TD>
          <xsl:choose>
            <xsl:when test="count(info)=0">|</xsl:when>
            <xsl:otherwise>
              <xsl:for-each select="info">
                <xsl:value-of select="@name" />F<xsl:value-of select="." />
                <BR/>
              </xsl:for-each>
            </xsl:otherwise>
          </xsl:choose>
        </TD>
        <TD>
          <xsl:choose>
            <xsl:when test="restore=''">|</xsl:when>
            <xsl:otherwise>
              <xsl:call-template name="replaceCRLFtoBR">
                <xsl:with-param name="str"><xsl:value-of select="restore" /></xsl:with-param>
              </xsl:call-template>
            </xsl:otherwise>
          </xsl:choose>
        </TD>
        <TD>
          <xsl:choose>
            <xsl:when test="remark=''">|</xsl:when>
            <xsl:otherwise><xsl:value-of select="remark" /></xsl:otherwise>
          </xsl:choose>
        </TD>
      </TR>
    </xsl:if>
  </xsl:template>

  <!-- MO -->
  <xsl:template name="getLoggingString">
    <xsl:param name="num" select="0" />
    <xsl:choose>
      <xsl:when test="$num=0">TRACE</xsl:when>
      <xsl:when test="$num=1">DEBUG</xsl:when>
      <xsl:when test="$num=2">INFO</xsl:when>
      <xsl:when test="$num=3">WARN</xsl:when>
      <xsl:when test="$num=4">ERR</xsl:when>
      <xsl:when test="$num=5">FATAL</xsl:when>
      <xsl:otherwise>NONE</xsl:otherwise>
    </xsl:choose>
  </xsl:template>
  
  <!--  -->
  <xsl:template name="getActionString">
    <xsl:param name="num" select="0" />
    <xsl:choose>
      <xsl:when test="$num=0">NONE</xsl:when>
      <xsl:when test="$num=1">RETRY</xsl:when>
      <xsl:when test="$num=2">ABORT</xsl:when>
      <xsl:when test="$num=3">STOP</xsl:when>
      <xsl:when test="$num=4">SKIP</xsl:when>
      <xsl:otherwise>NONE</xsl:otherwise>
    </xsl:choose>
  </xsl:template>
  
  <!-- sR[h𕶎QƂɕϊ -->
  <xsl:template name="replaceCRLFtoBR">
    <xsl:param name="str" />
    <xsl:choose>
      <xsl:when test="contains($str, '&#xD;&#xA;')" >
        <xsl:value-of select="substring-before($str, '&#xD;&#xA;')" />
        <xsl:element name="BR" />
        <xsl:call-template name="replaceCRLFtoBR">
          <xsl:with-param name="str" select="substring-after($str, '&#xD;&#xA;')" />
        </xsl:call-template>
      </xsl:when>
      <xsl:otherwise>
        <xsl:value-of select="$str" />
      </xsl:otherwise>
    </xsl:choose>
  </xsl:template>
  
</xsl:stylesheet>
