<?xml version="1.0" encoding="shift_jis" ?>
<!--
   Copyright (c) Project Studio In Kunitachi.
   
   SessionPrint.xsl
   
   ZbVis\\pX^CV[gB
   
   2009/05/10   VK쐬   s.mashita 1.00
-->
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
  <xsl:output method="html" encoding="shift_jis" />
  <!-- OSTMf[^擾 -->
  <xsl:variable name="resData" select="document('../cnf/ResourceData.xml')" />
  <xsl:variable name="quesionNumber" select="1" />
  <xsl:template match="/">
    <html>
      <head>
        <title>is\ for Intro Player Quiz Master</title>
        <link rel="stylesheet" type="text/css" href="../cnf/introplayer.css" />
      </head>
      <div style="text-align:center">
        <font size="8">is\ for Intro Player Quiz Master</font>
      </div>
      <br/>
      <br/>
      <hr />
      <div style="text-align:left">
        <font size="6"><b>EZbV</b></font>
        <table border="1">
          <tr>
            <th>ZbV</th>
            <th>쐬t</th>
            <th>Sp[g</th>
            <th>萔</th>
          </tr>
          <xsl:call-template name="MainInfo"/>
        </table>
        <br/>
        <br/>
        <hr />
        <font size="6"><b>Ep[g</b></font>
        <xsl:call-template name="SessionInfo" />
        ȏŃZbV͏IłB
        <br/>
        <br/>
        <div style="text-align:center">
          <span style="font-family: HGnpp߯ߑ; font-size: 9pt;">Copyright (c) Project Studio In Kunitachi., AllRights Reserved.</span><br />
        </div>
      </div>
    </html>
  </xsl:template>
  <xsl:template name="MainInfo">
    <tr>
      <td><xsl:value-of select="/session/sessionName" /></td>
      <td><xsl:value-of select="/session/day" /></td>
      <td><xsl:value-of select="/session/maxPart" /></td>
      <td><xsl:value-of select="/session/total" /></td>
    </tr>
  </xsl:template>
  <xsl:template name="SessionInfo">
    <xsl:for-each select="/session/part">
      <xsl:sort select="@id" data-type="number" order="ascending" />
      <table border="1">
        <tr>
          <th>No.</th>
          <th>p[g</th>
          <th>萔</th>
          <th>t͈</th>
          <th>t</th>
          <th>tx</th>
          <th>t</th>
          <th>_</th>
          <th>_</th>
          <th></th>
          <th></th>
        </tr>
        <tr>
          <td><xsl:value-of select="@id" /></td>
          <td><xsl:value-of select="name" /></td>
          <td><xsl:value-of select="questNum" /></td>
          <td>
            <xsl:choose>
              <xsl:when test="range='0'">Cg</xsl:when>
              <xsl:when test="range='1'">Tr</xsl:when>
              <xsl:when test="range='2'">_</xsl:when>
              <xsl:when test="range='3'">fB</xsl:when>
              <xsl:when test="range='4'">X^[g</xsl:when>
              <xsl:when test="range='5'">Gh</xsl:when>
              <xsl:when test="range='6'"></xsl:when>
            </xsl:choose>
          </td>
          <td>
            <xsl:choose>
              <xsl:when test="interval='0'">XX(250m)</xsl:when>
              <xsl:when test="interval='1'">X(1sec)</xsl:when>
              <xsl:when test="interval='2'">(3sec)</xsl:when>
              <xsl:when test="interval='3'">(5sec)</xsl:when>
              <xsl:when test="interval='4'">(10sec)</xsl:when>
              <xsl:when test="interval='5'">(15sec)</xsl:when>
              <xsl:when test="interval='6'">Wt</xsl:when>
              <xsl:when test="interval='7'"></xsl:when>
            </xsl:choose>
          </td>
          <td>
            <xsl:choose>
              <xsl:when test="speed='0'"></xsl:when>
              <xsl:when test="speed='1'">UP(~2)</xsl:when>
              <xsl:when test="speed='2'">HALFUP(~1.5)</xsl:when>
              <xsl:when test="speed='3'">DOWN(1/2)</xsl:when>
              <xsl:when test="speed='4'">HALFDOWN(1/4)</xsl:when>
            </xsl:choose>
          </td>
          <td><xsl:value-of select="multi" /></td>
          <td><xsl:value-of select="score" /></td>
          <td>
            <xsl:choose>
              <xsl:when test="deductionPenalty='1'">-</xsl:when>
              <xsl:otherwise><xsl:value-of select="deductionPenalty" /></xsl:otherwise>
            </xsl:choose>
          </td>
          <td>
            <xsl:choose>
              <xsl:when test="handsPenalty='0'">1p[g<xsl:value-of select="handsType" />܂</xsl:when>
              <xsl:when test="handsPenalty='1'">1⒆<xsl:value-of select="handsType" />܂</xsl:when>
              <xsl:when test="handsPenalty='2'">x<xsl:value-of select="handsType" />܂</xsl:when>
              <xsl:otherwise>-</xsl:otherwise>
            </xsl:choose>
          </td>
          <td>
            <xsl:choose>
              <xsl:when test="stealPenalty='-1'">-</xsl:when>
              <xsl:otherwise></xsl:otherwise>
            </xsl:choose>
          </td>
        </tr>
      </table>
      <br/>
      <br/>
      <table border="1">
        <tr bgcolor="#FF0000">
          <th>No.</th>
          <th>^Cg</th>
          <th>A[eBXg</th>
          <th>W</th>
          <th>[X</th>
        </tr>
        <xsl:apply-templates select="resources/resource" />
      </table>
      <br/>
      <br/>
      <hr />
    </xsl:for-each>
  </xsl:template>
  
  
  <!-- \[X\ -->
  <xsl:template match="resources/resource">
    <xsl:call-template name="quest">
      <xsl:with-param name="currentNumber"><xsl:value-of select="position()" /></xsl:with-param>
      <xsl:with-param name="resourceId"><xsl:value-of select="." /></xsl:with-param>
      <xsl:with-param name="multi"><xsl:value-of select="../../multi" /></xsl:with-param>
    </xsl:call-template>
  </xsl:template>
  
  <!-- \ -->
  <xsl:template name="quest">
    <xsl:param name="currentNumber" />
    <xsl:param name="resourceId" />
    <xsl:param name="multi" />
    
    <xsl:for-each select="$resData//root/data" >
      <xsl:if test="@id=$resourceId" >
        <tr>
          <!--<td><xsl:value-of select="no" /></td>-->
          <td><xsl:value-of select="ceiling($currentNumber div $multi)" /></td>
          <td><xsl:value-of select="title" /></td>
          <td><xsl:value-of select="artist" /></td>
          <td><xsl:value-of select="genre" /></td>
          <td><xsl:value-of select="releaseDate" /></td>
        </tr>
      </xsl:if>
    </xsl:for-each>
  </xsl:template>
</xsl:stylesheet>
